Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

'Bookmark All Tabs' no longer functions.

  • 15 replies
  • 43 have this problem
  • 2240 views
  • Last reply by cor-el

more options

RIght-clicking on a tab and selecting "Bookmark All Tabs..." no longer adds all tabs in a given window to my bookmarks. instead, it creates an empty folder called "[New Folder]" under "Bookmarks Menu".

I was previously FIrefox Version 39.something.something. There is a "Location" field in the "New Bookmarks" popup that I don't recognize; I assume it is part of the 40.0.2 update.

Chosen solution

This seems to be an issue with Firefox 40 and Tab Mix Plus. If you press Ctrl+Shift+d to call up Bookmark All Tabs, do you get the normal (two-line) dialog or still the incorrect one?

Read this answer in context 👍 4

All Replies (15)

more options

Chosen Solution

This seems to be an issue with Firefox 40 and Tab Mix Plus. If you press Ctrl+Shift+d to call up Bookmark All Tabs, do you get the normal (two-line) dialog or still the incorrect one?

more options

The Incorrect one. Let me try disabling Tab Mix Plus.

more options

Ah, that appears to have fixed it.

Hmm, annoying. I suppose I'll just have to wait for TMP to get a 40.0.2 update out, yes?

more options

There are updated test versions available. According to one of the reviews that fixes it, but I haven't tried it myself: https://addons.mozilla.org/firefox/addon/tab-mix-plus/versions/

more options

Ah, thank you. I'll poke around with those.

Have a nice day.

more options

S7evyn said

RIght-clicking on a tab and selecting "Bookmark All Tabs..." no longer adds all tabs in a given window to my bookmarks. instead, it creates an empty folder called "[New Folder]" under "Bookmarks Menu".

I just updated to the latest development version of Tab Mix Plus, which solved the problem.

http://tmp.garyr.net/support/viewtopic.php?t=2

Click on 'Latest Development Build' at the top right.

This is a version of Tab Mix Plus which has not been fully tested and not officially released, so there is a risk that it might not work properly. That is why Firefox opens a box saying:

"Firefox prevented this site from asking you to install software on your computer"

and you can either allow or reject it.

more options

Hi !

With TabMixPlus 0.4.1.9pre.150819a1 the issue seems to be solved.

Best regards, dragonfly7

more options

Still won't damn work for me when I disable TMP; I click add bookmarks & it does nothing, doesn't even add an empty folder! So tired of FF & its buginess over the years...

more options

Hi jalyst, what OS and Firefox version are you on? These extensions also cause issues with bookmarking in Firefox 40 (and probably 41):

  • IE Tab (numerous versions/variants) -- I suggest removing
  • Tree Style Tab -- I suggest disabling until updated
more options

nope, tried disabling all add-ons, don't have any other bm related add-ons anyway, even completely removed TMP.

more options

OSX 10.10.5 FF 41

more options

Hi jalyst, do any of these methods work:

  • star icon on the main toolbar
  • command+D
  • Bookmarks menu > Bookmark This Page
  • right-click/Ctrl+click the page > star icon on the context menu
more options

As mentioned, it's only "bookmark all tabs" that appears to be an issue, & it seems to be possible to add them to other places, just not the "bookmarks menu".

Cheers.

more options

Not working for me on Archlinux and Firefox v42.0. I _had_ Tab Mix Plus installed, but I've since removed it on the above advice. Unfortunately this did not solve the problem.

more options

Create a new profile as a test to check if your current profile is causing the problem.

See "Creating a profile":

If the new profile works then you can transfer files from a previously used profile to the new profile, but be cautious not to copy corrupted files to avoid carrying over problems.

Try the version from the official Mozilla server if you currently use a version from the repositories of your Linux distribution.